Skip to main content
GET
/
api
/
v2
/
projects
/
{projectKey}
/
agent-graphs
List agent graphs
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/projects/{projectKey}/agent-graphs \
  --header 'Authorization: <api-key>' \
  --header 'LD-API-Version: <ld-api-version>'
{
  "_links": {
    "next": {
      "href": "href",
      "type": "type"
    },
    "last": {
      "href": "href",
      "type": "type"
    },
    "prev": {
      "href": "href",
      "type": "type"
    },
    "self": {
      "href": "href",
      "type": "type"
    },
    "first": {
      "href": "href",
      "type": "type"
    }
  },
  "totalCount": 1,
  "items": [
    {
      "createdAt": 0,
      "_maintainer": {
        "kind": "kind"
      },
      "_access": {
        "allowed": [
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          },
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          }
        ],
        "denied": [
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          },
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          }
        ]
      },
      "rootConfigKey": "rootConfigKey",
      "name": "name",
      "edges": [
        {
          "sourceConfig": "sourceConfig",
          "targetConfig": "targetConfig",
          "handoff": "{}",
          "key": "key"
        },
        {
          "sourceConfig": "sourceConfig",
          "targetConfig": "targetConfig",
          "handoff": "{}",
          "key": "key"
        }
      ],
      "description": "description",
      "key": "key",
      "updatedAt": 6
    },
    {
      "createdAt": 0,
      "_maintainer": {
        "kind": "kind"
      },
      "_access": {
        "allowed": [
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          },
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          }
        ],
        "denied": [
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          },
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          }
        ]
      },
      "rootConfigKey": "rootConfigKey",
      "name": "name",
      "edges": [
        {
          "sourceConfig": "sourceConfig",
          "targetConfig": "targetConfig",
          "handoff": "{}",
          "key": "key"
        },
        {
          "sourceConfig": "sourceConfig",
          "targetConfig": "targetConfig",
          "handoff": "{}",
          "key": "key"
        }
      ],
      "description": "description",
      "key": "key",
      "updatedAt": 6
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Headers

LD-API-Version
enum<string>
required

Version of the endpoint.

Available options:
beta

Path Parameters

projectKey
string
required

Query Parameters

limit
integer

The number of resources to return.

offset
integer

Where to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.

Response

Successful response

A collection of agent graphs

items
object[]
required
totalCount
integer
required
Example:
{
"next": { "href": "href", "type": "type" },
"last": { "href": "href", "type": "type" },
"prev": { "href": "href", "type": "type" },
"self": { "href": "href", "type": "type" },
"first": { "href": "href", "type": "type" }
}